<?php
/*---------------------------------------------------------------*/
/*
    Titre : Fonction hexadcimal vers RVB (RGB)                                                                           
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=820
    Auteur           : madmax99                                                                                           
    Date dition     : 15 Jan 2019                                                                                        
*/
/*---------------------------------------------------------------*/ function hex2rgb( $colour ) {
        if ( $colour[0] == '#' ) {
                $colour = substr( $colour, 1 );
        }
        if ( strlen( $colour ) == 6 ) {
                list( $r, $g, $b ) = array( $colour[0] . $colour[1], $colour[2] 
. $colour[3], $colour[4] . $colour[5] );
        } elseif ( strlen( $colour ) == 3 ) {
                list( $r, $g, $b ) = array( $colour[0] . $colour[0], $colour[1] 
. $colour[1], $colour[2] . $colour[2] );
        } else {
                return false;
        }
        $r = hexdec( $r );
        $g = hexdec( $g );
        $b = hexdec( $b );
        return array( 'red' => $r, 'green' => $g, 'blue' => $b );
}

$rgb = hex2rgb("#f1f2f3");
print_r($rgb);
// Array ( [red] => 241 [green] => 242 [blue] => 243 )
?>